Subject: bug#69404: Loss of latex-mode fontification when loading libraries in latex-mode-hook that require json-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Feb 2024 15:03:19 +0200

> Date: Mon, 26 Feb 2024 10:27:53 +0100
> From: Gabriele Nicolardi <[email-masked]>
> 
> I have a LaTeX file:
> 
> \documentclass{article}
> \usepackage{mwe}
> \begin{document}
> 
> \blindtext
> 
> \noindent
> \includegraphics[width=.4\textwidth]{example-image-a}\hfill
> \includegraphics[width=.4\textwidth]{example-image-b}
> 
> \blindtext
> 
> \end{document}
> 
> If I load it like this:
> 
> emacs -Q test.tex
> 
> I get this “correct” latex-mode fontification:
> 
> I have also a config file (I simplified it to obtain the feature):
> 
> (add-hook 'latex-mode-hook
>           #'(lambda ()
>           (package-initialize)
>           (require 'json-mode)))
> 
> If I load my .tex file like this:
> 
> emacs -Q --eval "(load-file \"/tmp/config.el\")" test.tex
> 
> I lose latex-mode fontification:

What is the value of major-mode after you load your .tex file as
above?